JE::Boolean(3pm)

NAME
JE::Boolean - JavaScript boolean value

SYNOPSIS
  use JE;
  use JE::Boolean;

  $j = JE->new;

  $js_true  = new JE::Boolean $j, 1;
  $js_false = new JE::Boolean $j, 0;

  $js_true ->value; # returns 1
  $js_false->value; # returns ""

  "$js_true"; # returns "true"

  $js_true->to_object; # returns a new JE::Object::Boolean

DESCRIPTION
This class implements JavaScript boolean values for JE. The difference between this and JE::Object::Boolean is that that module implements boolean objects, while this module implements the primitive values.

The stringification and boolean operators are overloaded.

SEE ALSO

JE
JE::Types
JE::Object::Boolean